'use strict';

var child_process = require('child_process');
var di = require('di');
var publish = require('./publish');

var push = function push(options, publish) {
    console.log('Pushing...');
    child_process.exec('git push origin master', function (err, stdout, stderr) {
        console.log((err && err.message || stdout || stderr).trim());
        if (!err) {
            console.log('\nPublishing...');
            publish(options);
        }
    });
};

exports.push = function (options) {
    var injector = new di.Injector([{
        options: ['value', options],
        publish: ['value', publish.publish]
    }]);
    injector.invoke(push);
};
